<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

/**
 * Class Model_Resource_Tenant_AcronisCustomer
 */
class Model_Resource_Tenant_AcronisCustomer extends Model_Resource_Tenant_CustomerCCPv2
{
    protected function createDefaultUserResource($tenant, $serviceUser)
    {
        $user = parent::createDefaultUserResource($tenant, $serviceUser);
        $user->roles = users::ROLES_BUYER;

        $subscriptionParametersManager = $this->getSubscriptionParametersManager();
        $password = $subscriptionParametersManager->getParameterPassword($tenant->subscriptionId);
        if (!is_null($password)) {
            $user->endUserPassword = $password;
            $user->activateDuringCreation = true;
            $subscriptionParametersManager->setParameterPassword($tenant->subscriptionId, null);
        }

        return $user;
    }
}
