<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_AmsApiClient_Request_BackupPlans extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/ams/resources';

    public function __construct()
    {
        $this->_resource = self::REQUEST_URL_FORMAT;
        $this->_method = self::METHOD_GET;
    }
    
    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_AmsApiClient_Response_BackupPlans
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_AmsApiClient_Response_BackupPlans($responseBody);
    }
}
