<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_GetUserById extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/users/%s/';

    /**
     * @param int $userId
     */
    public function __construct($userId)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, $userId);
        $this->_method = self::METHOD_GET;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_GetUserById
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_GetUserById($responseBody);
    }
}