<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Struct_AccountsActivate
    implements Service_BaseClient_Request_Struct_IArrayRepresentation
{
    const FIELD_PASSWORD = "password";

    /** @var  string */
    private $_password;

    /**
     * @return array
     */
    public function toArray()
    {
        return array(
            self::FIELD_PASSWORD => $this->getPassword()
        );
    }

    /**
     * @param string $email
     */
    public function setPassword($email)
    {
        $this->_password = $email;
    }

    /**
     * @return string
     */
    public function getPassword()
    {
        return $this->_password;
    }
}