<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_MspApiClient_Request_Struct_GroupInterface
    extends Service_BaseClient_Request_Struct_IArrayRepresentation
{
    /**
     * @return Service_MspApiClient_Request_Struct_GroupPricing
     */
    public function getPricing();

    /**
     * @return Service_MspApiClient_Request_Struct_GroupPrivileges
     */
    public function getPrivileges();

    /**
     * @return string
     */
    public function getName();

    /**
     * @return Service_MspApiClient_Request_Struct_GroupContact
     */
    public function getContact();

    /**
     * @param string $name
     */
    public function setName($name);

    /**
     * @param string $customerId
     */
    public function setCustomerId($customerId);

    /**
     * @return string
     */
    public function getCustomerId();
}
