<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Struct_PostMailActivate
    implements Service_MspApiClient_Request_Struct_PostMailActivateInterface
{
    const FIELD_EMAIL = 'email';
    const FIELD_LOGIN = 'login';

    /** @var string */
    private $_email;
    /** @var string */
    private $_login;

    /**
     * Service_MspApiClient_Request_Struct_TenantMailActivate constructor.
     * @param string $email
     * @param string $login
     */
    public function __construct($email, $login)
    {
        $this->_email = $email;
        $this->_login = $login;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return array(
            self::FIELD_EMAIL => $this->getEmail(),
            self::FIELD_LOGIN => $this->getLogin(),
        );
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->_email;
    }

    /**
     * @return string
     */
    public function getLogin()
    {
        return $this->_login;
    }
}