<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_OpenApi_Response_AccountInfo_Contact
{
    /** @var  string */
    private $_email;
    /** @var  string */
    private $_givenName;
    /** @var  string */
    private $_familyName;

    /**
     * @param string $email
     * @param string $givenName
     * @param string $familyName
     */
    function __construct($email, $givenName, $familyName)
    {
        $this->_email = $email;
        $this->_familyName = $familyName;
        $this->_givenName = $givenName;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->_email;
    }

    /**
     * @return string
     */
    public function getFamilyName()
    {
        return $this->_familyName;
    }

    /**
     * @return string
     */
    public function getGivenName()
    {
        return $this->_givenName;
    }
}