<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_OpenApi_Validator_EmptyResponse extends Service_OpenApi_Validator_Base
{
    const EMPTY_RESPONSE = 'Empty response';

    /**
     * @param mixed $xmlRpcDecodedResponse
     * @param Service_OpenApi_Response_RawInterface $response
     * @throws Service_OpenApi_Validator_BaseException
     * @return bool
     */
    public function handleResponse($xmlRpcDecodedResponse, Service_OpenApi_Response_RawInterface $response = NULL)
    {
        if (empty($xmlRpcDecodedResponse))
        {
            throw new Service_OpenApi_Validator_BaseException(self::EMPTY_RESPONSE);
        }
        return parent::handleResponse($xmlRpcDecodedResponse);
    }
} 
