<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_AddAccountInDiscount extends Service_PbaApi_Client_Request
{
    const METHOD = 'AccountInDiscountAdd';

    /**
     * Service_PbaApi_Api_Request_AddAccountInDiscount constructor.
     *
     * @param int $accountId
     * @param int $discountId
     */
    public function __construct($accountId, $discountId)
    {
        parent::__construct(self::METHOD, array(
            (int) $accountId,
            (int) $discountId
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_AddAccountInDiscount
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_AddAccountInDiscount($responseArray);
    }
}
