<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetDiscountById extends Service_PbaApi_Client_Request
{
    const METHOD = 'CustDiscountGet';

    /**
     * @param int $discountId
     */
    public function __construct($discountId)
    {
        parent::__construct(self::METHOD, array(
            (int)$discountId
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetDiscountById
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetDiscountById($responseArray);
    }
}
