<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetDiscountedPlanList extends Service_PbaApi_Client_Request
{
    const METHOD = 'DiscountedPlanGetDiscountedPlanListUp';

    /**
     * @param int $discountId
     * @param int $sortNo
     */
    public function __construct($discountId, $sortNo)
    {
        parent::__construct(self::METHOD, array(
            (int) $discountId,
            (int) $sortNo
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetDiscountedPlanList
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetDiscountedPlanList($responseArray);
    }
}
