<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanHistoryList extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanGetHistList';

    /**
     * Service_PbaApi_Api_Request_GetPlanHistoryList constructor.
     * @param int $planId
     * @param int $sortNo
     */
    public function __construct($planId, $sortNo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int)$planId,
            (int)$sortNo,
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanHistoryList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanHistoryList($responseArray);
    }
}
