<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetPlanPeriodList extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanPeriodListGet_API';

    /**
     * Service_PbaApi_Api_Request_GetVendorCurrency constructor.
     * @param int $planId
     * @param int $sort
     */
    public function __construct($planId, $sort)
    {
        parent::__construct(self::METHOD, array((int)$planId, (int)$sort));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanPeriodList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanPeriodList($responseArray);
    }
}
