<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetVendorCurrency extends Service_PbaApi_Client_Request
{
    const METHOD = 'GetVendorCurrency_API';

    /**
     * Service_PbaApi_Api_Request_GetVendorCurrency constructor.
     * @param int $vendorAccountId
     */
    public function __construct($vendorAccountId)
    {
        parent::__construct(self::METHOD, array((int)$vendorAccountId));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionResourcesList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetVendorCurrency($responseArray);
    }
}
