<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_GetSubscriptionParameterValue extends Service_PbaApi_Client_Response
{
    const EXCEPTION_EMPTY_RESULT = 'Empty result for operation GetSubscriptionParameterValue';

    /**
     * @param array $responseArray
     * @return mixed
     * @throws Service_PbaApi_Client_InvalidPropertyException
     */
    protected function _init(array $responseArray = NULL)
    {
        if (is_null($responseArray))
        {
            throw new Service_PbaApi_Client_InvalidPropertyException(self::EXCEPTION_EMPTY_RESULT);
        }

        $values = $this->_getProperty(0, $responseArray);
        if (!is_array($values))
        {
            throw new Service_PbaApi_Client_InvalidPropertyException(self::EXCEPTION_EMPTY_RESULT);
        }

        return $this->_getProperty(0, $values);
    }
}
