<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_GetVendorCurrency extends Service_PbaApi_Client_Response
{
    const EXCEPTION_EMPTY_RESULT = 'Empty result';

    protected function _init(array $responseArray = null)
    {
        if (is_null($responseArray)) {
            throw new Service_PbaApi_Client_InvalidPropertyException(self::EXCEPTION_EMPTY_RESULT);
        }
        $data = $this->_getProperty(0, $responseArray);
        $currency = new Service_PbaApi_Api_Response_Struct_GetVendorCurrency();
        $currency->setCurrencyID($this->_getProperty(0, $data));
        $currency->setCurrencySymbol($this->_getProperty(1, $data));
        $currency->setCurrencySymbolLocation($this->_getProperty(2, $data));
        $currency->setCurrencyPrecision($this->_getProperty(3, $data));

        return $currency;
    }
}
