<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_Struct_ObjectAttributesListItem implements
    Service_PbaApi_Api_Response_Struct_ObjectAttributesListItemInterface
{
    /**
     * ID of attribute
     * @var string
     */
    private $_attributeId;

    /**
     * attribute value. If attribute is not assigned to specified account or
     * account ID is not passed, method returns empty value
     * @var string
     */
    private $_value;

    /**
     * attribute tags. COMP, PERS are system predefined tags and
     * refer to the company and personal accounts, respectively
     * @var string
     */
    private $_tags;

    /**
     * @return string
     */
    public function getAttributeId()
    {
        return $this->_attributeId;
    }

    /**
     * @param string $attributeId
     */
    public function setAttributeId($attributeId)
    {
        $this->_attributeId = $attributeId;
    }

    /**
     * @return string
     */
    public function getValue()
    {
        return $this->_value;
    }

    /**
     * @param string $value
     */
    public function setValue($value)
    {
        $this->_value = $value;
    }

    /**
     * @return string
     */
    public function getTags()
    {
        return $this->_tags;
    }

    /**
     * @param string $tags
     */
    public function setTags($tags)
    {
        $this->_tags = $tags;
    }
}
