<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Client_XmlRpcException extends Service_PbaApi_Client_Exception
{
    const ERROR_CODE_TEMPLATE = '/^Error Code:\s+(.*)\.$/m';

    public function getErrorCodeFromMessage()
    {
        if (!preg_match(self::ERROR_CODE_TEMPLATE, $this->getMessage(), $matches)) {
            return null;
        }
        return $matches[1];
    }
}
