<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_PbaApi_ClientInterface
{
    /**
     * @param string $serverName
     */
    public function setServerName($serverName);

    /**
     * @param string $username
     * @param string $password
     */
    public function setCredentials($username, $password);

    public function startTransaction();

    public function commitTransaction();

    public function rollbackTransaction();

    /**
     * @param Service_PbaApi_Client_RequestInterface $request
     * @return Service_PbaApi_Client_ResponseInterface
     */
    public function execute(Service_PbaApi_Client_RequestInterface $request);
}