<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Redis;

use Acronis\App\Services\Locator;
use Predis\Client;

trait PureRedisAwareTrait
{
    /**
     * @return Client
     */
    protected function getPureRedis()
    {
        return Locator::getInstance()->get(PureRedisFactory::NAME);
    }
}