<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
 

interface CurlInterface
{
    /**
     * @param string $option
     * @param string|bool|int|array $value
     * @return Curl
     */
    public function setOption($option, $value);

    /**
     * @return mixed
     */
    public function execute();

    /**
     * @return string
     */
    public function getError();

    /**
     * @return int
     */
    public function getErrorNo();

    public function refresh();

    /**
     * @param int $option
     * @return mixed
     */
    public function getInfo($option = NULL);

    /**
     * @return array
     */
    public function getHeaders();
}