<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Model_ConnectionChecker_EndpointConnection implements Model_ConnectionChecker_CheckerInterface
{
    /** @var int */
    private $_errorCode = 0;
    /** @var string */
    private $_errorMessage = '';

    /**
     * @return bool
     */
    public function check()
    {
        $this->_errorCode = 0;
        $this->_errorMessage = '';
        return true;
    }

    /**
     * @return array
     */
    public function getCheckDescription()
    {
        return (object) array(
            self::MESSAGE => '',
            self::KEYS    => (object) array()
        );
    }

    /**
     * @return array
     */
    public function getCheckError()
    {
        return (object) array(
            self::CODE    => $this->_errorCode,
            self::MESSAGE => $this->_errorMessage
        );
    }
}