<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Model_ResellerMapHelperInterface
{
    /**
     * @param int $accountId
     * @return int | null
     */
    public function getResellerIdFromMap($accountId);

    /**
     * @param int $accountId
     * @param int $groupId
     */
    public function addResellerIdToMap($accountId, $groupId);

    public function updateResellerMap();
}