<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
 

interface Model_TenantManagerInterface
{
    /**
     * @param int $mspGroupId
     * @param int $version
     * @return int
     */
    public function enableGroup($mspGroupId, $version = NULL);

    /**
     * @param int $mspGroupId
     * @param int $version
     * @return int
     */
    public function disableGroup($mspGroupId, $version = NULL);

    /**
     * @param int $groupId
     * @param Service_MspApiClient_Request_Struct_UpdateGroupInterface $groupInfo
     * @param int $version
     * @return int
     */
    public function updateGroup($groupId, Service_MspApiClient_Request_Struct_UpdateGroupInterface $groupInfo,
                                $version = NULL);
} 