<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_AmsApiClient_Response_Struct_BackupRecord
    extends Service_AmsApiClient_Response_Struct_ResourceItem
    implements Service_AmsApiClient_Response_Struct_BackupRecordInterface
{
    /** @var  string */
    private $_hostName;
    /** @var  string */
    private $_lastBackup;
    /** @var  string */
    private $_nextBackup;
    /** @var  boolean */
    private $_online;
    /** @var  string */
    private $_os;
    /** @var  string */
    private $_owner;
    /** @var  string */
    private $_status;

    /**
     * @param string $hostName
     */
    public function setHostName($hostName)
    {
        $this->_hostName = $hostName;
    }

    /**
     * @return string
     */
    public function getHostName()
    {
        return $this->_hostName;
    }

    /**
     * @param boolean $online
     */
    public function setOnline($online)
    {
        $this->_online = $online;
    }

    /**
     * @return boolean
     */
    public function getOnline()
    {
        return $this->_online;
    }

    /**
     * @param string $os
     */
    public function setOs($os)
    {
        $this->_os = $os;
    }

    /**
     * @return string
     */
    public function getOs()
    {
        return $this->_os;
    }

    /**
     * @param string $owner
     */
    public function setOwner($owner)
    {
        $this->_owner = $owner;
    }

    /**
     * @return string
     */
    public function getOwner()
    {
        return $this->_owner;
    }

    /**
     * @param string $status
     */
    public function setStatus($status)
    {
        $this->_status = $status;
    }

    /**
     * @return string
     */
    public function getStatus()
    {
        return $this->_status;
    }

    /**
     * @param string $lastBackup
     */
    public function setLastBackup($lastBackup)
    {
        $this->_lastBackup = $lastBackup;
    }

    /**
     * @return string
     */
    public function getLastBackup()
    {
        return $this->_lastBackup;
    }

    /**
     * @param string $nextBackup
     */
    public function setNextBackup($nextBackup)
    {
        $this->_nextBackup = $nextBackup;
    }

    /**
     * @return string
     */
    public function getNextBackup()
    {
        return $this->_nextBackup;
    }
}