<?php
/**
 * @Copyright © 2002-2019 Acronis International GmbH. All rights reserved
 */

use Service_AmsApiClient_Response_Struct_PersonifiedAgent as PersonifiedAgent;
use Service_AmsApiClient_Response_Struct_PersonifiedGuide as PersonifiedGuide;

class Service_AmsApiClient_Response_Struct_PersonifiedLinks
{
    /** @var PersonifiedAgent[] */
    private $agents;

    /** @var PersonifiedGuide[] */
    private $userGuide;

    /** @var PersonifiedGuide[] */
    private $adminGuide;

    /**
     * @return PersonifiedAgent[]
     */
    public function getAgents()
    {
        return $this->agents;
    }

    /**
     * @param PersonifiedAgent[] $agents
     */
    public function setAgents($agents)
    {
        $this->agents = $agents;
    }

    /**
     * @return PersonifiedGuide[]
     */
    public function getUserGuide()
    {
        return $this->userGuide;
    }

    /**
     * @param PersonifiedGuide[] $userGuide
     */
    public function setUserGuide($userGuide)
    {
        $this->userGuide = $userGuide;
    }

    /**
     * @return PersonifiedGuide[]
     */
    public function getAdminGuide()
    {
        return $this->adminGuide;
    }

    /**
     * @param PersonifiedGuide[] $adminGuide
     */
    public function setAdminGuide($adminGuide)
    {
        $this->adminGuide = $adminGuide;
    }
}
