<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_LockGroup extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/groups/%s/lock/';

    /**
     * @param int $groupId
     */
    public function __construct($groupId)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, $groupId);
        $this->_method = self::METHOD_POST;
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_Empty
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_Empty($responseBody);
    }
}