<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_MigrationGroup extends Service_BaseClient_Request_Base
{
    const REQUEST_URL_FORMAT = '/migration/backupagent/groups/?dc=%s&external_id=%s';

    /**
    * @param string $domainController
    * @param string $externalId
    */
    public function __construct($domainController, $externalId)
    {
        $this->_resource = sprintf(self::REQUEST_URL_FORMAT, $domainController, $externalId);
        $this->_method = self::METHOD_GET;
    }

    /**
    * @param string $httpCode
    * @param string $responseBody
    * @return Service_MspApiClient_Response_MigrationGroup
    */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_MigrationGroup($responseBody);
    }
}
