<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_Struct_UpdateGroupContact
    extends  Service_MspApiClient_Request_Struct_GroupContact
{
    /**
     * @return array
     */
    public function toArray()
    {
        $result = array();

        if ($this->_isFieldChanged(self::FIELD_FIRSTNAME))
        {
            $result[self::FIELD_FIRSTNAME] = $this->getFirstName();
        }

        if ($this->_isFieldChanged(self::FIELD_LASTNAME))
        {
            $result[self::FIELD_LASTNAME] = $this->getLastName();
        }

        if ($this->_isFieldChanged(self::FIELD_EMAIL))
        {
            $result[self::FIELD_EMAIL] = $this->getEmail();
        }

        if ($this->_isFieldChanged(self::FIELD_ADDRESS_1))
        {
            $result[self::FIELD_ADDRESS_1] = $this->getAddress1();
        }

        if ($this->_isFieldChanged(self::FIELD_ADDRESS_2))
        {
            $result[self::FIELD_ADDRESS_2] = $this->getAddress2();
        }

        if ($this->_isFieldChanged(self::FIELD_CITY))
        {
            $result[self::FIELD_CITY] = $this->getCity();
        }

        if ($this->_isFieldChanged(self::FIELD_STATE))
        {
            $result[self::FIELD_STATE] = $this->getState();
        }

        if ($this->_isFieldChanged(self::FIELD_COUNTRY))
        {
            $result[self::FIELD_COUNTRY] = $this->getCountry();
        }

        if ($this->_isFieldChanged(self::FIELD_ZIPCODE))
        {
            $result[self::FIELD_ZIPCODE] = $this->getZipCode();
        }

        if ($this->_isFieldChanged(self::FIELD_PHONE))
        {
            $result[self::FIELD_PHONE] = $this->getPhone();
        }

        return $result;
    }
}