<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_ActivateServiceUser extends Service_BaseClient_Response_Base
{
    const PROPERTY_EMAIL = 'email';
    const PROPERTY_ID = 'id';

    /**
     * @param array $responseData
     * @return Service_MspApiClient_Response_Struct_UserInfo
     */
    protected function _init(array $responseData)
    {
        $userInformation = new Service_MspApiClient_Response_Struct_ActivateServiceUser();
        $userInformation->setEmail($responseData[self::PROPERTY_EMAIL]);
        $userInformation->setEmail($responseData[self::PROPERTY_ID]);
        return $userInformation;
    }
}