<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_CreateGroup extends Service_BaseClient_Response_Base
{
    const PROPERTY_ID = 'id';
    const PROPERTY_VERSION = 'version';
    const PROPERTY_UUID = 'uuid';

    /**
     * @param array $responseData
     * @return Service_MspApiClient_Response_Struct_CreateGroup
     */
    protected function _init(array $responseData)
    {
        $createGroup = new Service_MspApiClient_Response_Struct_CreateGroup();
        $createGroup ->setId($responseData[self::PROPERTY_ID]);
        $createGroup ->setVersion($responseData[self::PROPERTY_VERSION]);
        $createGroup ->setUuid($responseData[self::PROPERTY_UUID]);

        return $createGroup;
    }
}