<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_MspApiClient_Response_Struct_FactoryInterface
{
    /**
     * @return Service_MspApiClient_Response_Struct_UserItem
     */
    public function getUserItem();

    /**
     * @return Service_MspApiClient_Response_Struct_AdministratorItem
     */
    public function getAdministratorItem();

    /**
     * @return Service_MspApiClient_Response_Struct_GroupInfo
     */
    public function getGroupInfo();

    /**
     * @return Service_MspApiClient_Response_Struct_CreateGroup
     */
    public function getCreateGroup();

    /**
     * @return Service_MspApiClient_Response_Struct_Account
     */
    public function getAccount();

    /**
     * @param int $id
     * @param int $version
     * @param string $name
     * @param string $uid
     * @param string $uuid
     * @param int $kind
     * @param int $owner
     * @param string $spaceUsage
     * @param int $inherited
     * @param int $active
     * @param string $contentUrl
     * @return Service_MspApiClient_Response_Struct_Storage
     */
    public function getStorage($id, $version, $name, $uid, $uuid, $kind, $owner, $spaceUsage, $inherited, $active, $contentUrl);
}