<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetAccountListByCustomAttribute extends Service_PbaApi_Client_Request
{
    const METHOD = 'GetAccountListByCustomAttribute_API';

    /**
     * Service_PbaApi_Api_Request_GetAccountListByCustomAttribute constructor.
     * @param string $attributeId
     * @param array|null $attributeValue
     * @param $sortNo
     * @throws Service_PbaApi_Api_Exception
     */
    public function __construct($attributeId, $attributeValue, $sortNo)
    {
        parent::__construct(self::METHOD, array($attributeId, $attributeValue, $sortNo));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionResourcesList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetAccountListByCustomAttribute($responseArray);
    }
}
