<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetCustomerSubscriptionList extends Service_PbaApi_Client_Request
{
    const METHOD = 'GetCustomerSubscriptionList_API';

    /**
     * @param int $accountId
     * @param int $sortNo
     */
    public function __construct($accountId, $sortNo =1)
    {
        parent::__construct(self::METHOD, array(
            (int)$accountId,
            (int)$sortNo,
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetCustomerSubscriptionList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetCustomerSubscriptionList($responseArray);
    }
}
