<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetOrderDetail extends Service_PbaApi_Client_Request
{
    const METHOD = 'GetOrderDetail';

    /**
     * Service_PbaApi_Api_Request_GetOrderDetail constructor.
     * @param int $detailId
     */
    public function __construct($detailId)
    {
        parent::__construct(self::METHOD, array(
            (int)$detailId,
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetOrderDetail
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetOrderDetail($responseArray);
    }
}
