<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanCategoryDetails extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanCategoryDetailsGet_API';


    public function __construct($accountId, $sortNo = 1)
    {
        parent::__construct(self::METHOD, array(
            (int)$accountId,
            (int)$sortNo
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanCategoryDetails
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetPlanCategoryDetails($responseArray);
    }
}
