<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanPeriod extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanPeriodGet';

    /**
     * @param int $periodId
     */
    public function __construct($periodId)
    {
        parent::__construct(self::METHOD, array(
            (int)$periodId,
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanPeriod
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanPeriod($responseArray);
    }
}
