<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetSubscriptionSalesOrdersList extends Service_PbaApi_Client_Request
{
    const METHOD = 'SalesOrderGetSalesOrderBySubscList';

    /**
     * @param int $subscriptionId
     * @param int $sortNo
     */
    public function __construct($subscriptionId, $sortNo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int) $subscriptionId,
            (int) $sortNo
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionSalesOrdersList
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetSubscriptionSalesOrdersList($responseArray);
    }
}
