<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_PlaceSubscriptionCancellationOrder extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlaceSubscriptionCancellationOrder_API';

    /**
     * Service_PbaApi_Api_Request_PlaceSubscriptionCancellationOrder constructor.
     * @param int $subscriptionId
     * @param int $cancelType
     * @param int $reasonId
     * @param string $description
     */
    public function __construct($subscriptionId, $cancelType, $reasonId, $description)
    {
        parent::__construct(self::METHOD, array(
            (int)$subscriptionId,
            (int)$cancelType,
            (int)$reasonId,
            (string)$description
        ));
    }

    /**
     * @param array|null $responseArray
     * @return Service_PbaApi_Api_Response_PlaceSubscriptionCancellationOrder
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_PlaceSubscriptionCancellationOrder($responseArray);
    }
}
