<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_UpdateSubscriptionParameterValue extends Service_PbaApi_Client_Request
{
    const METHOD = 'SubscrParamValueUpdate_API';

    /**
     * Service_PbaApi_Api_Request_UpdateSubscrParamValue constructor.
     * @param integer $subscriptionId
     * @param string $parameterId
     * @param string $parameterValue
     */
    public function __construct($subscriptionId, $parameterId, $parameterValue)
    {
        parent::__construct(self::METHOD, array(
            (int)$subscriptionId,
            (string)$parameterId,
            (string)$parameterValue
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetDiscountById
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_UpdateSubscriptionParameterValue($responseArray);
    }
}
