<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_PlaceResourceUpgradeOrder extends Service_PbaApi_Client_Response
{
    const EXCEPTION_EMPTY_RESULT = 'Empty result for operation PlaceResourceUpgradeOrder';

    protected function _init(array $responseArray = null)
    {
        if (is_null($responseArray)) {
            throw new Service_PbaApi_Client_InvalidPropertyException(self::EXCEPTION_EMPTY_RESULT);
        }

        $response = $this->_getProperty(0, $responseArray);

        $responseData = new Service_PbaApi_Api_Response_Struct_PlaceResourceUpgradeOrder();
        $responseData->setNewOrderId($this->_getProperty(0, $response));
        $responseData->setTotal($this->_getProperty(1, $response));
        $responseData->setTaxTotal($this->_getProperty(2, $response));
        $responseData->setDiscTotal($this->_getProperty(3, $response));
        $responseData->setMerchTotal($this->_getProperty(4, $response));
        $responseData->setOrderNbr($this->_getProperty(5, $response));
        $responseData->setDescr($this->_getProperty(6, $response));
        $responseData->setCreationTime($this->_getProperty(7, $response));

        return $responseData;
    }
}
