<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_Struct_CustomerSubscriptionListItem
{
    /**
     * @var int
     */
    private $subscriptionId;
    
    /**
     * @var string
     */
    private $subscriptionName;
    
    /**
     * @var int
     */
    private $planId;
    
    /**
     * @var string
     */
    private $planName;
    
    /**
     * @var int
     */
    private $planPeriodId;
    
    /**
     * @var int
     */
    private $period;
    
    /**
     * @var int
     */
    private $periodType;
    
    /**
     * @var int
     */
    private $startDate;
    
    /**
     * @var int
     */
    private $expirationDate;
    
    /**
     * @var int
     */
    private $status;
    
    /**
     * @var int
     */
    private $serviceStatus;
    
    /**
     * @var string
     */
    private $containerName;

    /**
     * @return int
     */
    public function getSubscriptionId()
    {
        return $this->subscriptionId;
    }

    /**
     * @param int $subscriptionId
     */
    public function setSubscriptionId($subscriptionId)
    {
        $this->subscriptionId = $subscriptionId;
    }

    /**
     * @return string
     */
    public function getSubscriptionName()
    {
        return $this->subscriptionName;
    }

    /**
     * @param string $subscriptionName
     */
    public function setSubscriptionName($subscriptionName)
    {
        $this->subscriptionName = $subscriptionName;
    }

    /**
     * @return int
     */
    public function getPlanId()
    {
        return $this->planId;
    }

    /**
     * @param int $planId
     */
    public function setPlanId($planId)
    {
        $this->planId = $planId;
    }

    /**
     * @return string
     */
    public function getPlanName()
    {
        return $this->planName;
    }

    /**
     * @param string $planName
     */
    public function setPlanName($planName)
    {
        $this->planName = $planName;
    }

    /**
     * @return int
     */
    public function getPlanPeriodId()
    {
        return $this->planPeriodId;
    }

    /**
     * @param int $planPeriodId
     */
    public function setPlanPeriodId($planPeriodId)
    {
        $this->planPeriodId = $planPeriodId;
    }

    /**
     * @return int
     */
    public function getPeriod()
    {
        return $this->period;
    }

    /**
     * @param int $period
     */
    public function setPeriod($period)
    {
        $this->period = $period;
    }

    /**
     * @return int
     */
    public function getPeriodType()
    {
        return $this->periodType;
    }

    /**
     * @param int $periodType
     */
    public function setPeriodType($periodType)
    {
        $this->periodType = $periodType;
    }

    /**
     * @return int
     */
    public function getStartDate()
    {
        return $this->startDate;
    }

    /**
     * @param int $startDate
     */
    public function setStartDate($startDate)
    {
        $this->startDate = $startDate;
    }

    /**
     * @return int
     */
    public function getExpirationDate()
    {
        return $this->expirationDate;
    }

    /**
     * @param int $expirationDate
     */
    public function setExpirationDate($expirationDate)
    {
        $this->expirationDate = $expirationDate;
    }

    /**
     * @return int
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param int $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getServiceStatus()
    {
        return $this->serviceStatus;
    }

    /**
     * @param int $serviceStatus
     */
    public function setServiceStatus($serviceStatus)
    {
        $this->serviceStatus = $serviceStatus;
    }

    /**
     * @return string
     */
    public function getContainerName()
    {
        return $this->containerName;
    }

    /**
     * @param string $containerName
     */
    public function setContainerName($containerName)
    {
        $this->containerName = $containerName;
    }
}
