<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_Discount implements Service_PbaApi_Api_Response_Struct_DiscountInterface
{
    /**
     * @var int
     */
    private $id;

    /**
     * @var string
     */
    private $name;

    /**
     * @var int
     */
    private $type;

    /**
     * @var int
     */
    private $status;

    /**
     * @var double
     */
    private $rate;

    /**
     * @var bool
     */
    private $isForAllPlans;

    /**
     * @var bool
     */
    private $isForAllResources;

    /**
     * @var int
     */
    private $ownerAccountId;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param int $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return int
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param int $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return double
     */
    public function getRate()
    {
        return $this->rate;
    }

    /**
     * @param double $rate
     */
    public function setRate($rate)
    {
        $this->rate = $rate;
    }

    /**
     * @return bool
     */
    public function getIsForAllPlans()
    {
        return $this->isForAllPlans;
    }

    /**
     * @param bool $isForAllPlans
     */
    public function setIsForAllPlans($isForAllPlans)
    {
        $this->isForAllPlans = $isForAllPlans;
    }

    /**
     * @return bool
     */
    public function getIsForAllResources()
    {
        return $this->isForAllResources;
    }

    /**
     * @param bool $isForAllResources
     */
    public function setIsForAllResources($isForAllResources)
    {
        $this->isForAllResources = $isForAllResources;
    }

    /**
     * @return int
     */
    public function getOwnerAccountId()
    {
        return $this->ownerAccountId;
    }

    /**
     * @param int $ownerAccountId
     */
    public function setOwnerAccountId($ownerAccountId)
    {
        $this->ownerAccountId = $ownerAccountId;
    }
}
