<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_GetOrderDetails implements Service_PbaApi_Api_Response_Struct_GetOrderDetailsInterface
{

    /**
     * @var int
     */
    private $sortNo;

    /**
     * @var int
     */
    private $detailID;

    /**
     * @var string
     */
    private $description;

    /**
     * @var int
     */
    private $detailType;

    /**
     * @var float
     */
    private $quantity;

    /**
     * @var string
     */
    private $uom;

    /**
     * @var float
     */
    private $unitPrice;

    /**
     * @var float
     */
    private $discountAmount;

    /**
     * @var float
     */
    private $extendedPrice;

    /**
     * @var  float
     */
    private $taxCategory;

    /**
     * @var int
     */
    private $subscription;

    /**
     * @var float
     */
    private $duration;

    /**
     * @var int
     */
    private $billingPeriod;

    /**
     * @var int
     */
    private $billingPeriodType;

    /**
     * @var int
     */
    private $promoID;

    /**
     * @var int
     */
    private $resourceID;

    /**
     * @var int
     */
    private $isPromotedResource;

    /**
     * @var int
     */
    private $planPeriodID;

    /**
     * @var int
     */
    private $originalPlanID;

    /**
     * @var int
     */
    private $newPlanID;

    /**
     * @var int
     */
    private $orderDetailStartDate;

    /**
     * @var int
     */
    private $orderDetailEndDate;

    /**
     * @return int
     */
    public function getSortNo()
    {
        return $this->sortNo;
    }

    /**
     * @param int $sortNo
     */
    public function setSortNo($sortNo)
    {
        $this->sortNo = $sortNo;
    }

    /**
     * @return int
     */
    public function getDetailID()
    {
        return $this->detailID;
    }

    /**
     * @param int $detailID
     */
    public function setDetailID($detailID)
    {
        $this->detailID = $detailID;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * @return int
     */
    public function getDetailType()
    {
        return $this->detailType;
    }

    /**
     * @param int $detailType
     */
    public function setDetailType($detailType)
    {
        $this->detailType = $detailType;
    }

    /**
     * @return float
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * @param float $quantity
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
    }

    /**
     * @return string
     */
    public function getUom()
    {
        return $this->uom;
    }

    /**
     * @param string $uom
     */
    public function setUom($uom)
    {
        $this->uom = $uom;
    }

    /**
     * @return float
     */
    public function getUnitPrice()
    {
        return $this->unitPrice;
    }

    /**
     * @param float $unitPrice
     */
    public function setUnitPrice($unitPrice)
    {
        $this->unitPrice = $unitPrice;
    }

    /**
     * @return float
     */
    public function getDiscountAmount()
    {
        return $this->discountAmount;
    }

    /**
     * @param float $discountAmount
     */
    public function setDiscountAmount($discountAmount)
    {
        $this->discountAmount = $discountAmount;
    }

    /**
     * @return float
     */
    public function getExtendedPrice()
    {
        return $this->extendedPrice;
    }

    /**
     * @param float $extendedPrice
     */
    public function setExtendedPrice($extendedPrice)
    {
        $this->extendedPrice = $extendedPrice;
    }

    /**
     * @return float
     */
    public function getTaxCategory()
    {
        return $this->taxCategory;
    }

    /**
     * @param float $taxCategory
     */
    public function setTaxCategory($taxCategory)
    {
        $this->taxCategory = $taxCategory;
    }

    /**
     * @return int
     */
    public function getSubscription()
    {
        return $this->subscription;
    }

    /**
     * @param int $subscription
     */
    public function setSubscription($subscription)
    {
        $this->subscription = $subscription;
    }

    /**
     * @return float
     */
    public function getDuration()
    {
        return $this->duration;
    }

    /**
     * @param float $duration
     */
    public function setDuration($duration)
    {
        $this->duration = $duration;
    }

    /**
     * @return int
     */
    public function getBillingPeriod()
    {
        return $this->billingPeriod;
    }

    /**
     * @param int $billingPeriod
     */
    public function setBillingPeriod($billingPeriod)
    {
        $this->billingPeriod = $billingPeriod;
    }

    /**
     * @return int
     */
    public function getBillingPeriodType()
    {
        return $this->billingPeriodType;
    }

    /**
     * @param int $billingPeriodType
     */
    public function setBillingPeriodType($billingPeriodType)
    {
        $this->billingPeriodType = $billingPeriodType;
    }

    /**
     * @return int
     */
    public function getPromoID()
    {
        return $this->promoID;
    }

    /**
     * @param int $promoID
     */
    public function setPromoID($promoID)
    {
        $this->promoID = $promoID;
    }

    /**
     * @return int
     */
    public function getResourceID()
    {
        return $this->resourceID;
    }

    /**
     * @param int $resourceID
     */
    public function setResourceID($resourceID)
    {
        $this->resourceID = $resourceID;
    }

    /**
     * @return int
     */
    public function getIsPromotedResource()
    {
        return $this->isPromotedResource;
    }

    /**
     * @param int $isPromotedResource
     */
    public function setIsPromotedResource($isPromotedResource)
    {
        $this->isPromotedResource = $isPromotedResource;
    }

    /**
     * @return int
     */
    public function getPlanPeriodID()
    {
        return $this->planPeriodID;
    }

    /**
     * @param int $planPeriodID
     */
    public function setPlanPeriodID($planPeriodID)
    {
        $this->planPeriodID = $planPeriodID;
    }

    /**
     * @return int
     */
    public function getOriginalPlanID()
    {
        return $this->originalPlanID;
    }

    /**
     * @param int $originalPlanID
     */
    public function setOriginalPlanID($originalPlanID)
    {
        $this->originalPlanID = $originalPlanID;
    }

    /**
     * @return int
     */
    public function getNewPlanID()
    {
        return $this->newPlanID;
    }

    /**
     * @param int $newPlanID
     */
    public function setNewPlanID($newPlanID)
    {
        $this->newPlanID = $newPlanID;
    }

    /**
     * @return int
     */
    public function getOrderDetailStartDate()
    {
        return $this->orderDetailStartDate;
    }

    /**
     * @param int $orderDetailStartDate
     */
    public function setOrderDetailStartDate($orderDetailStartDate)
    {
        $this->orderDetailStartDate = $orderDetailStartDate;
    }

    /**
     * @return int
     */
    public function getOrderDetailEndDate()
    {
        return $this->orderDetailEndDate;
    }

    /**
     * @param int $orderDetailEndDate
     */
    public function setOrderDetailEndDate($orderDetailEndDate)
    {
        $this->orderDetailEndDate = $orderDetailEndDate;
    }
}
