<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_GetResource implements Service_PbaApi_Api_Response_Struct_GetResourceInterface
{
    /**
     * Resource ID
     * @var int
     */
    private $id;

    /**
     * Resource Name
     * @var string
     */
    private $name;

    /**
     * Resource type
     * "0" - common resource
     * "1" - composite resource
     * @var int
     */
    private $resourceType;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getResourceType()
    {
        return $this->resourceType;
    }

    /**
     * @param int $resourceType
     */
    public function setResourceType($resourceType)
    {
        $this->resourceType = $resourceType;
    }
}
