<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_Struct_OrderDetail
{
    /**
     * @var int
     */
    private $orderId;

    /**
     * @var int
     */
    private $detailTypeId;

    /**
     * @var float
     */
    private $unitPrice;

    /**
     * @var float
     */
    private $serviceQuantity;

    /**
     * @var int
     */
    private $serviceUnitMeasure;

    /**
     * @var int
     */
    private $taxCategoryId;
    /**
     * @var string
     */
    private $description;
    /**
     * @var int
     */
    private $orderDetailLineIsEditable;
    /**
     * @var string
     */
    private $SKU;

    /**
     * @return int
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param int $orderId
     */
    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }

    /**
     * @return int
     */
    public function getDetailTypeId()
    {
        return $this->detailTypeId;
    }

    /**
     * @param int $detailTypeId
     */
    public function setDetailTypeId($detailTypeId)
    {
        $this->detailTypeId = $detailTypeId;
    }

    /**
     * @return float
     */
    public function getUnitPrice()
    {
        return $this->unitPrice;
    }

    /**
     * @param float $unitPrice
     */
    public function setUnitPrice($unitPrice)
    {
        $this->unitPrice = $unitPrice;
    }

    /**
     * @return float
     */
    public function getServiceQuantity()
    {
        return $this->serviceQuantity;
    }

    /**
     * @param float $serviceQuantity
     */
    public function setServiceQuantity($serviceQuantity)
    {
        $this->serviceQuantity = $serviceQuantity;
    }

    /**
     * @return int
     */
    public function getServiceUnitMeasure()
    {
        return $this->serviceUnitMeasure;
    }

    /**
     * @param int $serviceUnitMeasure
     */
    public function setServiceUnitMeasure($serviceUnitMeasure)
    {
        $this->serviceUnitMeasure = $serviceUnitMeasure;
    }

    /**
     * @return int
     */
    public function getTaxCategoryId()
    {
        return $this->taxCategoryId;
    }

    /**
     * @param int $taxCategoryId
     */
    public function setTaxCategoryId($taxCategoryId)
    {
        $this->taxCategoryId = $taxCategoryId;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * @return int
     */
    public function getOrderDetailLineIsEditable()
    {
        return $this->orderDetailLineIsEditable;
    }

    /**
     * @param int $orderDetailLineIsEditable
     */
    public function setOrderDetailLineIsEditable($orderDetailLineIsEditable)
    {
        $this->orderDetailLineIsEditable = $orderDetailLineIsEditable;
    }

    /**
     * @return string
     */
    public function getSKU()
    {
        return $this->SKU;
    }

    /**
     * @param string $SKU
     */
    public function setSKU($SKU)
    {
        $this->SKU = $SKU;
    }
}
