<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_PlaceResourceUpgradeOrder implements Service_PbaApi_Api_Response_Struct_PlaceResourceUpgradeOrderInterface
{
    /**
     * @var integer
     */
    private $newOrderId;
    /**
     * @var double
     */
    private $total;
    /**
     * @var double
     */
    private $taxTotal;
    /**
     * @var double
     */
    private $discTotal;
    /**
     * @var double
     */
    private $merchTotal;
    /**
     * @var string
     */
    private $orderNbr;
    /**
     * @var string
     */
    private $descr;
    /**
     * @var string
     */
    private $creationTime;

    /**
     * @return int
     */
    public function getNewOrderId()
    {
        return $this->newOrderId;
    }

    /**
     * @param int $newOrderId
     */
    public function setNewOrderId($newOrderId)
    {
        $this->newOrderId = $newOrderId;
    }

    /**
     * @return float
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * @param float $total
     */
    public function setTotal($total)
    {
        $this->total = $total;
    }

    /**
     * @return float
     */
    public function getTaxTotal()
    {
        return $this->taxTotal;
    }

    /**
     * @param float $taxTotal
     */
    public function setTaxTotal($taxTotal)
    {
        $this->taxTotal = $taxTotal;
    }

    /**
     * @return float
     */
    public function getDiscTotal()
    {
        return $this->discTotal;
    }

    /**
     * @param float $discTotal
     */
    public function setDiscTotal($discTotal)
    {
        $this->discTotal = $discTotal;
    }

    /**
     * @return float
     */
    public function getMerchTotal()
    {
        return $this->merchTotal;
    }

    /**
     * @param float $merchTotal
     */
    public function setMerchTotal($merchTotal)
    {
        $this->merchTotal = $merchTotal;
    }

    /**
     * @return string
     */
    public function getOrderNbr()
    {
        return $this->orderNbr;
    }

    /**
     * @param string $orderNbr
     */
    public function setOrderNbr($orderNbr)
    {
        $this->orderNbr = $orderNbr;
    }

    /**
     * @return string
     */
    public function getDescr()
    {
        return $this->descr;
    }

    /**
     * @param string $descr
     */
    public function setDescr($descr)
    {
        $this->descr = $descr;
    }

    /**
     * @return string
     */
    public function getCreationTime()
    {
        return $this->creationTime;
    }

    /**
     * @param string $creationTime
     */
    public function setCreationTime($creationTime)
    {
        $this->creationTime = $creationTime;
    }
}
