<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_HttpTransport_Response implements Service_PbaApi_HttpTransport_ResponseInterface
{
    /** @var int */
    private $_httpCode;

    /** @var string */
    private $_body;

    /**
     * @param int $code
     * @param string $body
     */
    public function __construct($code, $body)
    {
        $this->_httpCode = (int)$code;
        $this->_body = $body;
    }

    /**
     * @return int
     */
    public function getHttpCode()
    {
        return $this->_httpCode;
    }

    /**
     * @return string
     */
    public function getBody()
    {
        return $this->_body;
    }

}