<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

if (!ini_get('date.timezone')) {
    $timezone = exec("date +%Z");
    date_default_timezone_set(timezone_name_from_abbr($timezone));
}

require_once 'config.php';
require_once DIR_LIB . 'autoload.php';

if (!DEVELOPMENT_MODE) {
    require_once("aps/2/runtime.php");
}

Errors::setHandlers();
$logger = Log::createLogger();
Log::getInstance()->setLogger($logger);
