<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class ResourceQuotas
{
    /** @var int */
    private $storageUsage;

    /** @var int */
    private $mobileDeviceCount;

    /** @var int */
    private $workstationCount;

    /** @var int */
    private $serverCount;

    /** @var int */
    private $vmCount;

    /** @var int */
    private $mailboxCount;

    /** @var int */
    private $websiteCount;

    /**
     * @return int
     */
    public function getStorageUsage()
    {
        return $this->storageUsage;
    }

    /**
     * @param int $storageUsage
     */
    public function setStorageUsage($storageUsage)
    {
        $this->storageUsage = $storageUsage;
    }

    /**
     * @return int
     */
    public function getMobileDeviceCount()
    {
        return $this->mobileDeviceCount;
    }

    /**
     * @param int $mobileDeviceCount
     */
    public function setMobileDeviceCount($mobileDeviceCount)
    {
        $this->mobileDeviceCount = $mobileDeviceCount;
    }

    /**
     * @return int
     */
    public function getWorkstationCount()
    {
        return $this->workstationCount;
    }

    /**
     * @param int $workstationCount
     */
    public function setWorkstationCount($workstationCount)
    {
        $this->workstationCount = $workstationCount;
    }

    /**
     * @return int
     */
    public function getServerCount()
    {
        return $this->serverCount;
    }

    /**
     * @param int $serverCount
     */
    public function setServerCount($serverCount)
    {
        $this->serverCount = $serverCount;
    }

    /**
     * @return int
     */
    public function getVmCount()
    {
        return $this->vmCount;
    }

    /**
     * @param int $vmCount
     */
    public function setVmCount($vmCount)
    {
        $this->vmCount = $vmCount;
    }

    /**
     * @return int
     */
    public function getMailboxCount()
    {
        return $this->mailboxCount;
    }

    /**
     * @param int $mailboxCount
     */
    public function setMailboxCount($mailboxCount)
    {
        $this->mailboxCount = $mailboxCount;
    }

    /**
     * @return int
     */
    public function getWebsiteCount()
    {
        return $this->websiteCount;
    }

    /**
     * @param int $websiteCount
     */
    public function setWebsiteCount($websiteCount)
    {
        $this->websiteCount = $websiteCount;
    }
}
