COPY (
-- check unique
-- select
--   "AccountID",
--   "AccCurrencyCurrencyID",
--   array_to_string((array_agg("Value")), ', '),
--   count(*)
-- from
-- (SELECT
--   s."AccountID",
--   a."AccCurrencyCurrencyID",
--   ar."Value"
-- FROM "Subscription" s, "Account" a, "AccAttr" ar
-- WHERE s."AccountID" = a."AccountID" and s."Status" = 30 AND s."serviceTemplateID" IN (11, 20, 14, 27) and
--       ar."ObjID" = a."AccountID" and ar."ATID" = 'MinComTier' and ar."Value" is not null) t
-- GROUP BY
--   "AccountID",
--   "AccCurrencyCurrencyID"
-- HAVING count(*) > 1

-- SELECT
--   DISTINCT
--    s."AccountID",
--    a."AccCurrencyCurrencyID",
--    sp."resourceID"
--  FROM "Subscription" s, "SubscrParam" sp, "Account" a
--  WHERE sp."resourceID" IN (1000221, 1000222, 1000223, 1000224, 1000225, 1000227) AND
--        sp."subscriptionID" = s."subscriptionID" AND s."Status" = '30' AND s."AccountID" = a."AccountID" AND
--        s."AccountID" NOT IN (1000478)

SELECT
  s."AccountID",
  a."AccCurrencyCurrencyID",
  ar."Value"
FROM "Subscription" s, "Account" a, "AccAttr" ar
WHERE s."AccountID" = a."AccountID"
      and s."Status" = 30
      AND s."serviceTemplateID" IN (11, 20, 14, 27) and
      ar."ObjID" = a."AccountID" and ar."ATID" = 'MinComTier' and ar."Value" is not null

) TO STDOUT WITH CSV DELIMITER ',';